/* Make clicks pass-through */
#nprogress {
    pointer-events: none;
}

#nprogress .bar {
    background: #F12909;

    position: fixed;
    z-index: 1031;
    top: 0;
    left: 0;

    width: 100%;
    height: 2px;
}

/* Fancy blur effect */
#nprogress .peg {
    display: block;
    position: absolute;
    right: 0px;
    width: 100px;
    height: 100%;
    box-shadow: 0 0 10px #F12909, 0 0 5px #F12909;
    opacity: 1.0;

    -webkit-transform: rotate(3deg) translate(0px, -4px);
    -ms-transform: rotate(3deg) translate(0px, -4px);
    transform: rotate(3deg) translate(0px, -4px);
}

/* Remove these to get rid of the spinner */
#nprogress .spinner {
    display: block;
    position: fixed;
    z-index: 1031;
    top: 15px;
    right: 15px;
}

#nprogress .spinner-icon {
    width: 18px;
    height: 18px;
    box-sizing: border-box;

    border: solid 2px transparent;
    border-top-color: #29d;
    border-left-color: #29d;
    border-radius: 50%;

    -webkit-animation: nprogress-spinner 400ms linear infinite;
    animation: nprogress-spinner 400ms linear infinite;
}

.nprogress-custom-parent {
    overflow: hidden;
    position: relative;
}

.nprogress-custom-parent #nprogress .spinner,
.nprogress-custom-parent #nprogress .bar {
    position: absolute;
}

@-webkit-keyframes nprogress-spinner {
    0%   { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
}
@keyframes nprogress-spinner {
    0%   { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}
.dropdown {color: #333;cursor:pointer;position: relative;cursor: pointer;font-weight: 400;
    -webkit-user-select: none;-moz-user-select: none;user-select: none;
    padding: 5px 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.card-modificator-category .dropdown{
    padding: 10px 0;
}
.dropdown .option {
    /*white-space: nowrap;*/
    width: 100%;
    display: block;
    padding: 10px 15px;
    box-sizing: border-box;
    overflow-x: hidden;
    text-overflow: ellipsis;
    line-height: normal;
    position: relative;
}
.dropdown .option:not(:last-child){
    border-bottom: 1px solid #f1f1f1;
}
.dropdown .cont {
    display:none;
    height: auto;
    position:absolute;
    top: 100%;
    padding: 0;
    list-style: none;
    min-width: 100%;
    max-width: 100%;
    overflow:hidden;
    background: #f8f8f8;
    z-index: 2;
    webkit-box-shadow: 0px 4px 10px 0px rgba(0,0,0,0.3);
    -moz-box-shadow: 0px 4px 10px 0px rgba(0,0,0,0.3);
    box-shadow: 0px 4px 10px 0px rgba(0,0,0,0.3);
    max-height: 300px;
    overflow-y: auto;
    border-radius: 5px;
}
.dropdown.open .cont {display:block;}

.dropdown .wrap {
    display:flex;align-items: center;justify-content: space-between;
    flex-grow: 1;
}

.dropdown .selected {
    display: block;
    float: left;
    width: calc(100% - 30px);
    box-sizing: border-box;
    padding-left: 15px;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: normal;
}


.dropdown .carat {
    float:right;
    width:16px;
    height:16px;
    padding: 0 7px;
    background: url(../images/icons.png) 6px -1624px;
    position:static;
    top: inherit;
    box-sizing: content-box;
}
.dropdown.open .carat{
    -webkit-transform: rotate(180deg);
    -moz-transform: rotate(180deg);
    -ms-transform: rotate(180deg);
    transform: rotate(180deg);
}
.dropdown,
.dropdown div,
.dropdown li,
.dropdown .carat
{
    -webkit-transition: all 100ms ease-in-out;
    -moz-transition: all 100ms ease-in-out;
    -ms-transition: all 100ms ease-in-out;
    transition: all 100ms ease-in-out;
}

.dropdown > .wrap > input[type=text]{
    display:none;
    float:left;
    width:calc(100% - 30px);
    height:100%;
    border:none;
    background:none;
    color:#333;
    padding:0 0 0 15px;
    box-sizing: border-box;
    font-weight: 600;
}
.dropdown .optgroup {
    padding: 2px 15px;
    line-height: 24px;
    cursor: not-allowed;
    white-space: nowrap;
    text-overflow: ellipsis;
    display: block;
    overflow: hidden;
    background:#f0f0f0;
}

.dropdown .option:hover{
    background: #ef6565;
    color: #fff;
}
.dropdown .option.hover{
    background: #ef6565;
    color: #fff;
}

.dropdown .option.active{
    background: #ec5757;
    color: #fff;
}
.dropdown .option.disabled {
    color: #777;background: #f0f0f0;cursor: not-allowed;
}
@media (max-width: 700px) {
    .dropdown .option:hover{
        background: inherit;
        color: inherit;
    }
    .dropdown .option.hover{
        background: inherit;
        color: inherit;
    }
}